#
# iscsi-portal configuration
#
# Steffen Plotner, 2010
#
package config;
use strict;
require Exporter;

use File::Basename;
use Data::Dumper;

our @ISA = qw(Exporter);
our @EXPORT = qw(
	%cfg
	);

our %cfg = (
	#
	# iscsi
	#
	'listen_port' => 3260,
	'max_recv_data_segment_length' => 256 * 1024,
		
	#
	# keep it short to allow reasonable quick refreshes whe
	# resources move from one cluster node to another
	#
	'state_time_sec' => 5,
	
	#
	# syslog
	#
	'syslog_prefix' => 'iprt',
	
	#---------------------------------------------------------------------------
	# directory locations
	#---------------------------------------------------------------------------
	'state_directory' => dirname($0).'/state',
	'etc_directory' => dirname($0).'/etc',

	#
	# iscsi discovery portals: this is were initiators connect to and
	# we connect to the specified portal_addresses to determine where
	# the desired targets are.
	#
	'discovery_portals' =>
	{
		#-----------------------------------------------------------
		# vlan 10 iscsi
		#-----------------------------------------------------------
		'10.0.1.9' =>
		{
			'portal_group_name' => 'pg_vlan10_fabric',
			'portal_port' => 3260,
			'portal_addresses' =>
			[
				# iscsi-target-node1
				'10.0.1.1',
				'10.0.1.2',
				# iscsi-target-node2
				'10.0.1.3',
				'10.0.1.4',
			],
		},
		#-----------------------------------------------------------
		# vlan 20 iscsi
		#-----------------------------------------------------------
		'10.0.2.9' =>
		{
			'portal_group_name' => 'pg_vlan20_fabric',
			'portal_port' => 3260,
			'portal_addresses' =>
			[
				# iscsi-target-node1
				'10.0.2.1',
				'10.0.2.2',
				# iscsi-target-node2
				'10.0.2.3',
				'10.0.2.4',
			],
		},
	},

	#
	# removed targets: this is allows us to decommission targets
	# that some initiators just want to go after, they will stop
	# once rebooted usually, however, some like vmware just cannot handle
	# targets disappearing without being told.
	#
	# targets on this list are blocked by both the discovery session and
	# the target logon session
	#
	'targets_removed' =>
	[
		#'iqn.1990-01.edu.amherst.san0:sqlgrey1',
	],
);

#print Dumper \%cfg;
1;
