#!/usr/bin/perl

#
# iscsi-portal
#
# Steffen Plotner, 2010
#
use strict;
use Data::Dumper;

use FindBin;
use lib "$FindBin::Bin/lib";
use lib "$FindBin::Bin/etc";

use config;
use logutil;
use iscsiportal;

#
# arguments are (fixed without getopts!)
#
# source_ip dest_ip initiator_name target_name
#
my $s_ip = $ARGV[0];
my $d_ip = $ARGV[1];
my $s_initiator = $ARGV[2];
my $d_target = $ARGV[3];
if ( ! ( defined($s_ip) || defined($d_ip) || defined($s_initiator) || defined($d_target) ) )
{
	logger_err("$0 source_ip dest_ip initiator_name target_name debug=0xff");
	exit(1);
}

$cfg{'verbose'} = 0;
$cfg{'debug'} = 0;
if ( defined($ARGV[4]) )
{
	if ( $ARGV[4] & 0x01 )
	{
		$cfg{'verbose'} = 1;
	}
	elsif ( $ARGV[4] & 0x02 )
	{
		$cfg{'debug'} = 1;
	}
}

my $target_portal = initiator_target_portal($s_ip, $d_ip, $s_initiator, $d_target);
print "$target_portal\n";
exit(0);


