#
# iscsi-portal utilities
#
# Steffen Plotner, 2010
#
package lockutil;
use strict;
require Exporter;

use Fcntl qw(:flock);

our @ISA = qw(Exporter);
our @EXPORT = qw(
	resource_lock
	resource_unlock
);

use config;
use logutil;

#------------------------------------------------------------------------------
# resource lock
#------------------------------------------------------------------------------
sub resource_lock
{
	my($file) = @_;
	
	my $file_lock = "$file.lck";
	logger("lock> resource: $file_lock (LOCK INTENT)");
	my $fh;
	if ( !open($fh, ">$file_lock") )
	{
		logger("lock_err> unable to open file: $file_lock ($!)");
		return undef;
	}
	

	if ( !flock($fh, LOCK_EX) )
	{
		logger("lock_err> unable to LOCK_EX: $file_lock ($!)");
		return undef;
	}
	logger("lock> resource: $file_lock (LOCKED)");
	return $fh;
}

#------------------------------------------------------------------------------
# resource unlock
#------------------------------------------------------------------------------
sub resource_unlock
{
	my ($fh, $file) = @_;
	
	my $file_lock = "$file.lck";
	if ( defined($fh) )
	{
		logger("lock> resource: $file_lock (UNLOCKED)");
		if ( !close($fh) )
		{
			logger("lock_err> unable to close: $file_lock ($!)");
		}
		#unlink($file_lock);
	}
}

1;
