#
# iscsi-portal utilities
#
# Steffen Plotner, 2010
#
package logutil;
use strict;
require Exporter;

use Sys::Syslog;

our @ISA = qw(Exporter);
our @EXPORT = qw(
	logger
	logger_info
	logger_err
	logger_access
);

use config;

#
# init on load of this module
#
openlog($cfg{'syslog_prefix'}, 'ndelay,pid', 'local0');

#------------------------------------------------------------------------------
# syslog interfaces
#------------------------------------------------------------------------------
sub logger
{
	my ($msg) = @_;
	
	#if ( $cfg{'verbose'} ||
	#	$msg =~ /^portal>/ ||
	#	$msg =~ /^state>/ ||
	#	$msg =~ /^discover>/ ||
	#	$msg =~ /^sig_/ ||
	#	$msg =~ /^lock>/
	#	)
	if ( $cfg{'verbose'} )
	{
		syslog('info', $msg);
	}
}

sub logger_info
{
	my ($msg) = @_;

	syslog('info', $msg);
}

sub logger_err
{
	my ($msg) = @_;
	
	syslog('err', $msg);
	print STDERR "$msg\n";
}

#------------------------------------------------------------------------------
# iportal access logger
#------------------------------------------------------------------------------
sub logger_access
{
	my ($ip, $msg) = @_;
	
	syslog('info',"access_log> $ip $msg");
}

1;
